@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;1,100;1,300;1,400;1,500;1,700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

/* HOVER EFFECT */
.material-symbols-outlined {
    padding: 10px;
}

.hover:hover {
    background:  #f1f3f4;
    color: black;
    border-radius: 50%;
    cursor: pointer;
}

.tooltip {
    position: relative; /*Put the icon relative of the icon */
}

.tooltip-text {
    position: absolute;/*Put the text relative ot the icon */
    left: 0; /*Put the text ontop of the icon */
    top: 100%; /* The text will be relatively below the icon*/
    font-size: 0.78rem;
    background: #323232;
    color: white;
    opacity: 0.8; /* Make the text transparent */
    padding: 5px;
    white-space: nowrap; /* No text wrap when white-space is used */
    border-radius: 5px;
    visibility: hidden; /* No effect the text will remain hidden */
    z-index: 1
}

.tooltip:hover .tooltip-text {
    visibility: visible; /* Hover effect the text will be visible */
}

/* NAVBAR STYLING */
nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 64px;
    border-bottom: 1px solid #dadce0;
    padding: 8px;
    margin: 0 10px;
    color: #5f6368;
}

.logo-area {
    display: flex;
    align-items: center;
}

.logo-text {
    font-size: 1.2rem;
}

.search-area {
    display: flex;
    background: #f1f3f4;
    width: 692px;
    height: 48px;
    border-radius: 8px;
    align-items: center;
}

.search-area input{
    border: none;
    background: #f1f3f4;
    height: 100%;
    width: 95%;
    font-size: 1rem;
    margin-left: 10px;
}

input:focus {
    outline: none;
}

.search-area span {
    margin-left: 10px;
}

.settings-area {
    display: flex;
    align-items: center;
}

.profile-actions-area {
    display: flex;
    align-items: center;
}

/* MAIN SECTIONS STYLING */


/* SIDEBAR STYLING */
.sidebar {
    position: fixed;
    left: 0;
    top: 64px;
    display: flex;
    flex-direction: column;
    margin-left: 18px;
    margin-top: 5px;
    color: #5f6368;
    /* background-color: yellow; */
    width: 60px;
    overflow-x: hidden;
}

.active {
    background-color: #fef0c3;
    border-radius: 50%;
    color: black;
}

.active:hover {
    background-color: #fef0c3;
}

.sidebar .sidebar-item {
    padding: 3px;
    display: flex;
    align-items: center;
}

.sidebar .sidebar-item .sidebar-text {
    color: black;
    font-size: 0.9rem;
    margin-left: 20px;
    width: 250px;
}

.sidebar-item:nth-child(1) {
    margin-top: 5px;
}

/* MAIN FORM */
.form-container {
    background: white;
    max-width: 598px;
    /* height: 46px; */
    margin: 32px auto; /* add the width and height so that the auto uses the remaining margin to automatically center the element */
    box-shadow: 0 1px 2px 0 rgba(60,64,67,0.302), 0 2px 6px 2px rgba(60,64,67,0.149);
    border: 1px solid #e0e1e0;
    border-radius: 8px;
}

.form-container form {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    color: #5f6368;
}
.note-title {
    border: none;
    font-size: 1rem;
    height: 100%;
    width: 100%;
    padding: 10px;
    margin-left: 10px;
    margin-right: 10px;
    padding-left: 10px;
    /* background: yellow; */
}
.note-text {
    border: none;
    font-size: 1rem;
    height: 100%;
    width: 100%;
    padding: 10px;
    margin-left: 10px;
    margin-right: 10px;
    padding-left: 10px;
    /* background: yellow; */
}

.form-actions {
    display: flex;
}

.active-form {

}

.active-form form {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 10px;
}

.active-form form .form-actions .icons {
    display: flex;
}

.active-form form .form-actions {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-top: 5px;
}

.close-btn {
    background: none;
    border: none;
    cursor: pointer;
    /* padding: 10px; */
    font-size: 1rem;
}

.small-icon {
  color: black;
  font-size: 1.1rem;
}

/* ALL NOTES */
.notes {
    display: flex;
    justify-content: center;
}

.note {
    background: white;
    margin: 10px;
    width: 240px;
    /* height: 104px; */
    border: 1px solid #e0e1e0;
    border-radius: 8px;
    position: relative;
}

.note .title {
    width: 100%;
    margin: 15px 0 0 15px;
}

.note .text {
    width: 100%;
    margin: 10px 0 0 15px;
}

.note .note-footer {
    display: flex;
    justify-content: center;
    margin-top: 15px;
    padding: 0;
}

.note-footer .material-symbols-outlined {
    color: #5f6368;
}

.note .check-circle {
    position: absolute;
    left: -10px;
    top: -10px;
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 100%;
    visibility: hidden;
}

.modal .modal-content {
  width: 589px;
  position: relative;
  top: 30%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.open-modal {
    visibility: visible;
}
